Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.tools.widgets
Class StringChoice

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Panel
                        |
                        +--org.w3c.tools.widgets.BorderPanel
                              |
                              +--org.w3c.tools.widgets.StringChoice

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable

public class StringChoice
extends BorderPanel

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class java.awt.Panel
`java.awt.Panel.AccessibleAWTPanel`

Nested classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`static int` | `ONE_LINE`
`static int` | `TWO_LINES`

Fields inherited from class org.w3c.tools.widgets.BorderPanel
`IN, insets, LOWERED, OUT, RAISED, SOLID`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`StringChoice()` Get a "one line" String choice with no border.
`StringChoice(int type)` Get a StringChoice widget.
`StringChoice(int type, int border)` Get a StringChoice widget.
`StringChoice(int type, int border, int thickness)` Get a StringChoice widget.

Method Summary
`void` | `addActionListener(java.awt.event.ActionListener l)`
`void` | `addItem(java.lang.String item)`
`void` | `addItemListener(java.awt.event.ItemListener l)`
`void` | `addItems(java.lang.String[] items)`
`void` | `addTextListener(java.awt.event.TextListener l)`
`java.lang.String` | `getText()`
`void` | `remove(java.lang.String item)`
`void` | `removeActionListener(java.awt.event.ActionListener l)`
`void` | `removeAll()`
`void` | `removeItemListener(java.awt.event.ItemListener l)`
`void` | `removeTextListener(java.awt.event.TextListener l)`
`void` | `select(java.lang.String str)`
`void` | `setText(java.lang.String stext)`

Methods inherited from class org.w3c.tools.widgets.BorderPanel
`getInsets, paint, setInsets`

Methods inherited from class java.awt.Panel
`addNotify, getAccessibleContext`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getListeners, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, paramString, preferredSize, print, printComponents, processContainerEvent, processEvent, remove, remove, removeContainerListener, removeNotify, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setFont, setLayout, transferFocusBackward, transferFocusDownCycle, update, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isOpaque, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ONE_LINE

    public static final int ONE_LINE

See Also:
  Constant Field Values

### TWO_LINES

    public static final int TWO_LINES

See Also:
  Constant Field Values

Constructor Detail

### StringChoice

    public StringChoice()

  Get a "one line" String choice with no border.

### StringChoice

    public StringChoice(int type)

  Get a StringChoice widget.

Parameters:
  `type` - The posisionning (ONE_LINE, TWO_LINES)

### StringChoice

    public StringChoice(int type,
                        int border)

  Get a StringChoice widget.

Parameters:
  `type` - The posisionning (ONE_LINE, TWO_LINES)
  `border` - The border type (SOLID, RAISED, LOWERED, IN, OUT)

### StringChoice

    public StringChoice(int type,
                        int border,
                        int thickness)

  Get a StringChoice widget.

Parameters:
  `type` - The posisionning (ONE_LINE, TWO_LINES)
  `border` - The border type (SOLID, RAISED, LOWERED, IN, OUT)
  `thickness` - The border's thickness.

Method Detail

### addActionListener

    public void addActionListener(java.awt.event.ActionListener l)

### removeActionListener

    public void removeActionListener(java.awt.event.ActionListener l)

### addTextListener

    public void addTextListener(java.awt.event.TextListener l)

### removeTextListener

    public void removeTextListener(java.awt.event.TextListener l)

### addItemListener

    public void addItemListener(java.awt.event.ItemListener l)

### removeItemListener

    public void removeItemListener(java.awt.event.ItemListener l)

### addItem

    public void addItem(java.lang.String item)

### addItems

    public void addItems(java.lang.String[] items)

### select

    public void select(java.lang.String str)

### remove

    public void remove(java.lang.String item)

### removeAll

    public void removeAll()

  Overrides:
    `removeAll` in class `java.awt.Container`

### setText

    public void setText(java.lang.String stext)

### getText

    public java.lang.String getText()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD